// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
//	test PsfDataServer
//
#include "CalServer.h"

using namespace std;

int main()
{
        const Xmm::Instrument instrument = Xmm::EPN;
        calServer.setInstrument(instrument);

        TimeJumpTolServer *tj =0; tj = calServer.getAtom(tj);
        int tolerance = tj->getJumpTolerance(500.0);

        cout<<"Tol: "<<tolerance<<endl;

        calServer.releaseAtom(tj);

        calServer.state()->mode()->set(Xmm::FAST_TIMING);
        tj = calServer.getAtom(tj);
        tolerance = tj->getJumpTolerance(500.0);
        cout<<"Tol: Timing "<<tolerance<<endl;
        calServer.releaseAtom(tj);

        calServer.state()->mode()->set(Xmm::FAST_BURST);
        tj = calServer.getAtom(tj);
        tolerance = tj->getJumpTolerance(500.0);
        cout<<"Tol: Burst "<<tolerance<<endl;
        calServer.releaseAtom(tj);

        calServer.state()->mode()->set(Xmm::PRIME_LARGE_WINDOW);
        tj = calServer.getAtom(tj);
        tolerance = tj->getJumpTolerance(500.0);
        cout<<"Tol: Large "<<tolerance<<endl;
        calServer.releaseAtom(tj);

        calServer.state()->mode()->set(Xmm::PRIME_SMALL_WINDOW);
        tj = calServer.getAtom(tj);
        tolerance = tj->getJumpTolerance(500.0);
        cout<<"Tol: Small "<<tolerance<<endl;
        calServer.releaseAtom(tj);

        calServer.state()->mode()->set(Xmm::PRIME_FULL_WINDOW_EXTENDED);
        tj = calServer.getAtom(tj);
        tolerance = tj->getJumpTolerance(500.0);
        cout<<"Tol: Extended "<<tolerance<<endl;
        calServer.releaseAtom(tj);

	return 0;
}
